%define name goosnes
%define version 0.5.2
%define release 5plf

Summary: Graphical frontend for the snes9x Super NES emulator
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}_%{version}-1.tar.bz2
Source1: %name-48x48.png
Source2: %name-32x32.png
Source3: %name-16x16.png
License: GPL
Group: Emulators
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gtk+2-devel
BuildRequires: libxml2-devel
Requires: snes9x
URL: http://bard.sytes.net/goosnes/

%description
GooSNES is a little GTK+ frontend for SNES9x. It allows users to set
SNES9x options without typing a pageful of command line options at a
prompt. It also allows users to select a SNES image and launch SNES9x
at a click.

This package is in PLF because of Mandriva Linux policy forbidding
emulation softwares.
%prep
%setup -q

%build
%configure --with-gtk-version=2.0
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
        command="%{_bindir}/%name"\\
        needs="X11"\\
        section="Applications/Emulators"\\
        icon="%name.png"\\
        title="GooSNES"\\
        longtitle="Snes9x Super Nintendo Emulator GUI"
EOF
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
install -m 644 %SOURCE1 %buildroot/%_liconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%_bindir/%name
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Mon Apr 24 2006 Götz Waschk <goetz@zarb.org> 0.5.2-5plf
- Rebuild

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 0.5.2-4plf
- fix description
- drop prefix
- fix buildrequires

* Tue Jun  3 2003 Gtz Waschk <goetz@plf.zarb.org> 0.5.2-3plf
- fix buildrequires

* Sat Feb  1 2003 Gtz Waschk <goetz@plf.zarb.org> 0.5.2-2plf
- fix requires

* Fri Nov 22 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.5.2-1plf
- fix build
- new version

* Sat Sep 28 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.5.1-2plf
- add icons

* Wed Sep 25 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.5.1-1plf
- initial plf package

